package com.liang.service.impl;

import com.liang.dao.PrjAnnualbudgetXgjlDao;
import com.liang.entity.PrjAnnualbudgetXgjl;
import com.liang.service.PrjAnnualbudgetXgjlService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("prjAnnualbudgetXgjlService")
public class PrjAnnualbudgetXgjlServiceImpl implements PrjAnnualbudgetXgjlService {
    @Resource
    private PrjAnnualbudgetXgjlDao prjAnnualbudgetXgjlDao;

    @Override
    public List<PrjAnnualbudgetXgjl> getXGJL(Integer nys) {
        return this.prjAnnualbudgetXgjlDao.getXGJL(nys);
    }

    @Override
    public List<PrjAnnualbudgetXgjl> getXG(int i,Integer nys) {
        return this.prjAnnualbudgetXgjlDao.getXG(i,nys);
    }

    @Override
    public void insertXGJL(PrjAnnualbudgetXgjl prjAnnualbudgetXgjl) {
        prjAnnualbudgetXgjlDao.insertXGJL(prjAnnualbudgetXgjl);
    }

    @Override
    public void batchinsertXGJL(List<PrjAnnualbudgetXgjl> prjAnnualbudgetXgjlList) {
        prjAnnualbudgetXgjlDao.batchinsertXGJL(prjAnnualbudgetXgjlList);
    }
}
